<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Addenda de Skytex  :: By Daniel Herrera Tello.    -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sky="http://www.skytex.com.mx/sky">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
	<xsl:element name="sky:requestForPayment">
		<xsl:element name="sky:AditionalData">
			<xsl:attribute name="textData"><xsl:text>z</xsl:text></xsl:attribute>
			<xsl:attribute name="Moneda">
				<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
				<xsl:choose>
					<xsl:when test="$tpomon = 0">
						<xsl:text>MXN</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 1">
						<xsl:text>MXN</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 2">
						<xsl:text>USD</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 3">
						<xsl:text>XEU</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="metodoDePago">
				<xsl:choose>
					<xsl:when test="Datos/Documento/XMLAddenda/Documento/@MetodoPago !=''">
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/@MetodoPago"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="Datos/Documento/@MetodoPago"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</xsl:element>
		<xsl:element name="sky:Provider">
			<xsl:attribute name="ProviderID">
				<xsl:value-of select="Datos/Emisor/@noProveedor"/>
			</xsl:attribute>
		</xsl:element>
		<xsl:element name="sky:LineItems">
			<xsl:for-each select="Datos/Documento/Partidas/Partida">
				<xsl:element name="sky:lineItem">
					<xsl:attribute name="type">
						<xsl:choose>
							<xsl:when test="@Tipo = 'P'">
								<xsl:text>1</xsl:text>
							</xsl:when>
							<xsl:when test="@Tipo = 'S'">
								<xsl:text>2</xsl:text>
							</xsl:when>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="number">
						<xsl:value-of select="position()"/>
					</xsl:attribute>
					<xsl:attribute name="sku">
						<xsl:value-of select="substring-before(@CodigoCliente,'@')"/>
					</xsl:attribute>
					<xsl:attribute name="art_tip">
						<xsl:value-of select="substring-after(@CodigoCliente,'@')"/>
					</xsl:attribute>
					<xsl:attribute name="uns">
						<xsl:value-of select="format-number(@Cantidad,'0.0000')"/>
					</xsl:attribute>
					<xsl:attribute name="uni_med">
						<xsl:value-of select="@NombreUnidadMedida"/>
					</xsl:attribute>
					<xsl:attribute name="precio">
						<xsl:value-of select="format-number(@PrecioBruto,'0.0000')"/>
					</xsl:attribute>
					<xsl:attribute name="partida">
						<xsl:choose>
							<xsl:when test="@Tipo = 'P'">
								<xsl:value-of select="./XMLAddenda/Partida/@NoSecuencial_ARM"/>
							</xsl:when>
							<xsl:when test="@Tipo = 'S'">
								<xsl:text>0</xsl:text>
							</xsl:when>
						</xsl:choose>
					</xsl:attribute>
					<xsl:choose>
						<xsl:when test="@Tipo = 'P'">
							<xsl:attribute name="pctDescuento">
								<xsl:value-of select="format-number((@ImpDescuentos div @ImpNeto)*100,'0.0000')"/>
							</xsl:attribute>
							<xsl:attribute name="montoDescuento">
								<xsl:value-of select="format-number(@ImpDescuentos,'0.0000')"/>
							</xsl:attribute>
							<xsl:attribute name="referenceIdentification">
								<xsl:choose>
									<xsl:when test="./XMLAddenda/Partida/@FolioRecepcionARM !=''">
										<xsl:value-of select="./XMLAddenda/Partida/@FolioRecepcionARM"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="/Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
						</xsl:when>
						<xsl:when test="@Tipo = 'S'">
							<xsl:attribute name="pctDescuento">
								<xsl:text>0</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="montoDescuento">
								<xsl:text>0</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="referenceIdentification">
								<xsl:text>xxxxxx@x</xsl:text>
							</xsl:attribute>
						</xsl:when>
					</xsl:choose>
				</xsl:element>
			</xsl:for-each>
		</xsl:element>
	</xsl:element>
	</xsl:template>
</xsl:stylesheet>